OCamllabs icon Home|Differences with the last checks|Previous runs


Building on clete.ocamllabs.io

(from ocaml/opam:debian-unstable)
WARNING: Error loading config file: .dockercfg: $HOME is not defined
Unable to find image 'ocaml/opam:debian-unstable' locally
debian-unstable: Pulling from ocaml/opam
Digest: sha256:a32e554d37007cabaf12da2261dad1c6890fb793357d4499f39865f3c85d81ab
Status: Downloaded newer image for ocaml/opam:debian-unstable
2021-07-30 01:02.34 ---> using "0acd5aeaa8f7bc314514d9795d14a7f12ec72a6a5b11c5904350189734c6859b" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam"))
2021-07-30 01:02.34 ---> using "4d29eb3e0b7cd69a97ed90837671d5ca38aa41e2fb94346298af500378eca6fa" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'git://github.com/ocaml/opam-repository.git' ~/opam-repository && git -C ~/opam-repository checkout -q 765662297a24d833c6a04752cd8b89c5bd72fe26"))
2021-07-30 01:02.34 ---> using "408a6fe877fac854592ce47c5fe189b975157f26819e8d079a7e0aa564ab6df4" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2021-07-30 01:02.34 ---> using "fd24dc9742f74137e58d21cf176e379dec9d1c8d8dc2151a0179977677d64a5e" from cache

/: (run (network host)
        (shell "git clone -q 'git://github.com/ocaml/ocaml-beta-repository.git' ~/'beta' && git -C ~/'beta' checkout -q 79aeeadd813bdae424ab53f882f08bee0a4e0b89"))
2021-07-30 01:02.34 ---> using "44e1265d18f2fd068431480c0fb655b79f2a7f26ac20d2a3fdf07737ca94de54" from cache

/: (run (shell "opam repository add --dont-select 'beta' ~/'beta'"))
[beta] Initialised
2021-07-30 01:02.34 ---> using "fd844dc700cb13e86e5ae5edc12bc418c6b3aa805cec06838b037dde26586d28" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=beta,default 4.12.0"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-base-compiler" {= "4.12.0"} | "ocaml-system" {= "4.12.0"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> installed ocaml-options-vanilla.1
-> retrieved ocaml-base-compiler.4.12.0  (cached)
-> installed ocaml-base-compiler.4.12.0
-> installed ocaml-config.2
-> installed ocaml.4.12.0
Done.
# Run eval $(opam env --switch=4.12.0) to update the current shell environment
2021-07-30 01:02.34 ---> using "6f79839ec11c18f36d779257b557b986ad5c04f5e68bb8d98f23e5fa6fd637ca" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [161 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2021-07-29-1401.52-F-2021-07-22-2001.46.pdiff [41.9 kB]
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages T-2021-07-29-1401.52-F-2021-07-22-2001.46.pdiff [41.9 kB]
- Fetched 267 kB in 2s (116 kB/s)
- Reading package lists...
2021-07-30 01:02.34 ---> using "4eaf82c8cb01103cc75613c934d13652a73800fa73fc89b5af8d30d66952c540" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"bimage-display.0.4.0\"\
               \nopam install -vy \"bimage-display.0.4.0\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"bimage-display.0.4.0\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
[NOTE] bimage-display.0.4.0 is not installed.

Nothing to do.
The following actions will be performed:
  - install dune              2.9.0 [required by bimage-display]
  - install conf-pkg-config   2     [required by conf-glew, glfw-ocaml]
  - install result            1.5   [required by dune-configurator]
  - install csexp             1.5.1 [required by dune-configurator]
  - install bimage            0.4.0 [required by bimage-display]
  - install conf-glfw3        2     [required by glfw-ocaml]
  - install conf-glew         1     [required by bimage-display]
  - install dune-configurator 2.9.0 [required by glfw-ocaml]
  - install glfw-ocaml        3.3   [required by bimage-display]
  - install bimage-display    0.4.0
===== 10 to install =====

The following system packages will first need to be installed:
    libglew-dev libglfw3-dev pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "libglew-dev" "libglfw3-dev" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libdrm-common.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18048 files and directories currently installed.)
- Preparing to unpack .../00-libdrm-common_2.4.104-1_all.deb ...
- Unpacking libdrm-common (2.4.104-1) ...
- Selecting previously unselected package libdrm2:amd64.
- Preparing to unpack .../01-libdrm2_2.4.104-1_amd64.deb ...
- Unpacking libdrm2:amd64 (2.4.104-1) ...
- Selecting previously unselected package libdrm-amdgpu1:amd64.
- Preparing to unpack .../02-libdrm-amdgpu1_2.4.104-1_amd64.deb ...
- Unpacking libdrm-amdgpu1:amd64 (2.4.104-1) ...
- Selecting previously unselected package libpciaccess0:amd64.
- Preparing to unpack .../03-libpciaccess0_0.16-1_amd64.deb ...
- Unpacking libpciaccess0:amd64 (0.16-1) ...
- Selecting previously unselected package libdrm-intel1:amd64.
- Preparing to unpack .../04-libdrm-intel1_2.4.104-1_amd64.deb ...
- Unpacking libdrm-intel1:amd64 (2.4.104-1) ...
- Selecting previously unselected package libdrm-nouveau2:amd64.
- Preparing to unpack .../05-libdrm-nouveau2_2.4.104-1_amd64.deb ...
- Unpacking libdrm-nouveau2:amd64 (2.4.104-1) ...
- Selecting previously unselected package libdrm-radeon1:amd64.
- Preparing to unpack .../06-libdrm-radeon1_2.4.104-1_amd64.deb ...
- Unpacking libdrm-radeon1:amd64 (2.4.104-1) ...
- Selecting previously unselected package libglvnd0:amd64.
- Preparing to unpack .../07-libglvnd0_1.3.2-1_amd64.deb ...
- Unpacking libglvnd0:amd64 (1.3.2-1) ...
- Selecting previously unselected package libwayland-server0:amd64.
- Preparing to unpack .../08-libwayland-server0_1.19.0-2_amd64.deb ...
- Unpacking libwayland-server0:amd64 (1.19.0-2) ...
- Selecting previously unselected package libgbm1:amd64.
- Preparing to unpack .../09-libgbm1_20.3.5-1_amd64.deb ...
- Unpacking libgbm1:amd64 (20.3.5-1) ...
- Selecting previously unselected package libglapi-mesa:amd64.
- Preparing to unpack .../10-libglapi-mesa_20.3.5-1_amd64.deb ...
- Unpacking libglapi-mesa:amd64 (20.3.5-1) ...
- Selecting previously unselected package libwayland-client0:amd64.
- Preparing to unpack .../11-libwayland-client0_1.19.0-2_amd64.deb ...
- Unpacking libwayland-client0:amd64 (1.19.0-2) ...
- Preparing to unpack .../12-libx11-dev_2%3a1.7.2-1_amd64.deb ...
- Unpacking libx11-dev:amd64 (2:1.7.2-1) over (2:1.7.1-1) ...
- Preparing to unpack .../13-libx11-6_2%3a1.7.2-1_amd64.deb ...
- Unpacking libx11-6:amd64 (2:1.7.2-1) over (2:1.7.1-1) ...
- Selecting previously unselected package libx11-xcb1:amd64.
- Preparing to unpack .../14-libx11-xcb1_2%3a1.7.2-1_amd64.deb ...
- Unpacking libx11-xcb1:amd64 (2:1.7.2-1) ...
- Selecting previously unselected package libxcb-dri2-0:amd64.
- Preparing to unpack .../15-libxcb-dri2-0_1.14-3_amd64.deb ...
- Unpacking libxcb-dri2-0:amd64 (1.14-3) ...
- Selecting previously unselected package libxcb-dri3-0:amd64.
- Preparing to unpack .../16-libxcb-dri3-0_1.14-3_amd64.deb ...
- Unpacking libxcb-dri3-0:amd64 (1.14-3) ...
- Selecting previously unselected package libxcb-present0:amd64.
- Preparing to unpack .../17-libxcb-present0_1.14-3_amd64.deb ...
- Unpacking libxcb-present0:amd64 (1.14-3) ...
- Selecting previously unselected package libxcb-sync1:amd64.
- Preparing to unpack .../18-libxcb-sync1_1.14-3_amd64.deb ...
- Unpacking libxcb-sync1:amd64 (1.14-3) ...
- Selecting previously unselected package libxcb-xfixes0:amd64.
- Preparing to unpack .../19-libxcb-xfixes0_1.14-3_amd64.deb ...
- Unpacking libxcb-xfixes0:amd64 (1.14-3) ...
- Selecting previously unselected package libxshmfence1:amd64.
- Preparing to unpack .../20-libxshmfence1_1.3-1_amd64.deb ...
- Unpacking libxshmfence1:amd64 (1.3-1) ...
- Selecting previously unselected package libegl-mesa0:amd64.
- Preparing to unpack .../21-libegl-mesa0_20.3.5-1_amd64.deb ...
- Unpacking libegl-mesa0:amd64 (20.3.5-1) ...
- Selecting previously unselected package libegl1:amd64.
- Preparing to unpack .../22-libegl1_1.3.2-1_amd64.deb ...
- Unpacking libegl1:amd64 (1.3.2-1) ...
- Selecting previously unselected package libxcb-glx0:amd64.
- Preparing to unpack .../23-libxcb-glx0_1.14-3_amd64.deb ...
- Unpacking libxcb-glx0:amd64 (1.14-3) ...
- Selecting previously unselected package libxcb-shm0:amd64.
- Preparing to unpack .../24-libxcb-shm0_1.14-3_amd64.deb ...
- Unpacking libxcb-shm0:amd64 (1.14-3) ...
- Selecting previously unselected package libxdamage1:amd64.
- Preparing to unpack .../25-libxdamage1_1%3a1.1.5-2_amd64.deb ...
- Unpacking libxdamage1:amd64 (1:1.1.5-2) ...
- Selecting previously unselected package libxfixes3:amd64.
- Preparing to unpack .../26-libxfixes3_1%3a5.0.3-2_amd64.deb ...
- Unpacking libxfixes3:amd64 (1:5.0.3-2) ...
- Selecting previously unselected package libxxf86vm1:amd64.
- Preparing to unpack .../27-libxxf86vm1_1%3a1.1.4-1+b2_amd64.deb ...
- Unpacking libxxf86vm1:amd64 (1:1.1.4-1+b2) ...
- Selecting previously unselected package libelf1:amd64.
- Preparing to unpack .../28-libelf1_0.183-3_amd64.deb ...
- Unpacking libelf1:amd64 (0.183-3) ...
- Selecting previously unselected package libz3-4:amd64.
- Preparing to unpack .../29-libz3-4_4.8.10-1_amd64.deb ...
- Unpacking libz3-4:amd64 (4.8.10-1) ...
- Selecting previously unselected package libllvm11:amd64.
- Preparing to unpack .../30-libllvm11_1%3a11.0.1-2_amd64.deb ...
- Unpacking libllvm11:amd64 (1:11.0.1-2) ...
- Selecting previously unselected package libsensors-config.
- Preparing to unpack .../31-libsensors-config_1%3a3.6.0-7_all.deb ...
- Unpacking libsensors-config (1:3.6.0-7) ...
- Selecting previously unselected package libsensors5:amd64.
- Preparing to unpack .../32-libsensors5_1%3a3.6.0-7_amd64.deb ...
- Unpacking libsensors5:amd64 (1:3.6.0-7) ...
- Selecting previously unselected package libvulkan1:amd64.
- Preparing to unpack .../33-libvulkan1_1.2.162.0-1_amd64.deb ...
- Unpacking libvulkan1:amd64 (1.2.162.0-1) ...
- Selecting previously unselected package libgl1-mesa-dri:amd64.
- Preparing to unpack .../34-libgl1-mesa-dri_20.3.5-1_amd64.deb ...
- Unpacking libgl1-mesa-dri:amd64 (20.3.5-1) ...
- Selecting previously unselected package libglx-mesa0:amd64.
- Preparing to unpack .../35-libglx-mesa0_20.3.5-1_amd64.deb ...
- Unpacking libglx-mesa0:amd64 (20.3.5-1) ...
- Selecting previously unselected package libglx0:amd64.
- Preparing to unpack .../36-libglx0_1.3.2-1_amd64.deb ...
- Unpacking libglx0:amd64 (1.3.2-1) ...
- Selecting previously unselected package libgl1:amd64.
- Preparing to unpack .../37-libgl1_1.3.2-1_amd64.deb ...
- Unpacking libgl1:amd64 (1.3.2-1) ...
- Selecting previously unselected package libglx-dev:amd64.
- Preparing to unpack .../38-libglx-dev_1.3.2-1_amd64.deb ...
- Unpacking libglx-dev:amd64 (1.3.2-1) ...
- Selecting previously unselected package libgl-dev:amd64.
- Preparing to unpack .../39-libgl-dev_1.3.2-1_amd64.deb ...
- Unpacking libgl-dev:amd64 (1.3.2-1) ...
- Selecting previously unselected package libegl-dev:amd64.
- Preparing to unpack .../40-libegl-dev_1.3.2-1_amd64.deb ...
- Unpacking libegl-dev:amd64 (1.3.2-1) ...
- Selecting previously unselected package libgles1:amd64.
- Preparing to unpack .../41-libgles1_1.3.2-1_amd64.deb ...
- Unpacking libgles1:amd64 (1.3.2-1) ...
- Selecting previously unselected package libgles2:amd64.
- Preparing to unpack .../42-libgles2_1.3.2-1_amd64.deb ...
- Unpacking libgles2:amd64 (1.3.2-1) ...
- Selecting previously unselected package libgles-dev:amd64.
- Preparing to unpack .../43-libgles-dev_1.3.2-1_amd64.deb ...
- Unpacking libgles-dev:amd64 (1.3.2-1) ...
- Selecting previously unselected package libopengl0:amd64.
- Preparing to unpack .../44-libopengl0_1.3.2-1_amd64.deb ...
- Unpacking libopengl0:amd64 (1.3.2-1) ...
- Selecting previously unselected package libopengl-dev:amd64.
- Preparing to unpack .../45-libopengl-dev_1.3.2-1_amd64.deb ...
- Unpacking libopengl-dev:amd64 (1.3.2-1) ...
- Selecting previously unselected package libglvnd-dev:amd64.
- Preparing to unpack .../46-libglvnd-dev_1.3.2-1_amd64.deb ...
- Unpacking libglvnd-dev:amd64 (1.3.2-1) ...
- Selecting previously unselected package libegl1-mesa-dev:amd64.
- Preparing to unpack .../47-libegl1-mesa-dev_20.3.5-1_amd64.deb ...
- Unpacking libegl1-mesa-dev:amd64 (20.3.5-1) ...
- Selecting previously unselected package libffi-dev:amd64.
- Preparing to unpack .../48-libffi-dev_3.3-6_amd64.deb ...
- Unpacking libffi-dev:amd64 (3.3-6) ...
- Selecting previously unselected package libgl1-mesa-dev:amd64.
- Preparing to unpack .../49-libgl1-mesa-dev_20.3.5-1_amd64.deb ...
- Unpacking libgl1-mesa-dev:amd64 (20.3.5-1) ...
- Selecting previously unselected package libglew2.1:amd64.
- Preparing to unpack .../50-libglew2.1_2.1.0-4+b1_amd64.deb ...
- Unpacking libglew2.1:amd64 (2.1.0-4+b1) ...
- Selecting previously unselected package libglu1-mesa:amd64.
- Preparing to unpack .../51-libglu1-mesa_9.0.1-1_amd64.deb ...
- Unpacking libglu1-mesa:amd64 (9.0.1-1) ...
- Selecting previously unselected package libglu1-mesa-dev:amd64.
- Preparing to unpack .../52-libglu1-mesa-dev_9.0.1-1_amd64.deb ...
- Unpacking libglu1-mesa-dev:amd64 (9.0.1-1) ...
- Selecting previously unselected package libglew-dev:amd64.
- Preparing to unpack .../53-libglew-dev_2.1.0-4+b1_amd64.deb ...
- Unpacking libglew-dev:amd64 (2.1.0-4+b1) ...
- Selecting previously unselected package libglfw3:amd64.
- Preparing to unpack .../54-libglfw3_3.3.2-1_amd64.deb ...
- Unpacking libglfw3:amd64 (3.3.2-1) ...
- Selecting previously unselected package libglfw3-dev:amd64.
- Preparing to unpack .../55-libglfw3-dev_3.3.2-1_amd64.deb ...
- Unpacking libglfw3-dev:amd64 (3.3.2-1) ...
- Selecting previously unselected package libglib2.0-0:amd64.
- Preparing to unpack .../56-libglib2.0-0_2.66.8-1_amd64.deb ...
- Unpacking libglib2.0-0:amd64 (2.66.8-1) ...
- Selecting previously unselected package libglib2.0-data.
- Preparing to unpack .../57-libglib2.0-data_2.66.8-1_all.deb ...
- Unpacking libglib2.0-data (2.66.8-1) ...
- Selecting previously unselected package libicu67:amd64.
- Preparing to unpack .../58-libicu67_67.1-7_amd64.deb ...
- Unpacking libicu67:amd64 (67.1-7) ...
- Selecting previously unselected package libvulkan-dev:amd64.
- Preparing to unpack .../59-libvulkan-dev_1.2.162.0-1_amd64.deb ...
- Unpacking libvulkan-dev:amd64 (1.2.162.0-1) ...
- Selecting previously unselected package libxml2:amd64.
- Preparing to unpack .../60-libxml2_2.9.10+dfsg-6.7_amd64.deb ...
- Unpacking libxml2:amd64 (2.9.10+dfsg-6.7) ...
- Selecting previously unselected package libwayland-bin.
- Preparing to unpack .../61-libwayland-bin_1.19.0-2_amd64.deb ...
- Unpacking libwayland-bin (1.19.0-2) ...
- Selecting previously unselected package libwayland-cursor0:amd64.
- Preparing to unpack .../62-libwayland-cursor0_1.19.0-2_amd64.deb ...
- Unpacking libwayland-cursor0:amd64 (1.19.0-2) ...
- Selecting previously unselected package libwayland-egl1:amd64.
- Preparing to unpack .../63-libwayland-egl1_1.19.0-2_amd64.deb ...
- Unpacking libwayland-egl1:amd64 (1.19.0-2) ...
- Selecting previously unselected package libwayland-dev:amd64.
- Preparing to unpack .../64-libwayland-dev_1.19.0-2_amd64.deb ...
- Unpacking libwayland-dev:amd64 (1.19.0-2) ...
- Selecting previously unselected package libxcb-randr0:amd64.
- Preparing to unpack .../65-libxcb-randr0_1.14-3_amd64.deb ...
- Unpacking libxcb-randr0:amd64 (1.14-3) ...
- Selecting previously unselected package x11proto-xext-dev.
- Preparing to unpack .../66-x11proto-xext-dev_2020.1-1_all.deb ...
- Unpacking x11proto-xext-dev (2020.1-1) ...
- Selecting previously unselected package libxext-dev:amd64.
- Preparing to unpack .../67-libxext-dev_2%3a1.3.3-1.1_amd64.deb ...
- Unpacking libxext-dev:amd64 (2:1.3.3-1.1) ...
- Selecting previously unselected package libxrender1:amd64.
- Preparing to unpack .../68-libxrender1_1%3a0.9.10-1_amd64.deb ...
- Unpacking libxrender1:amd64 (1:0.9.10-1) ...
- Selecting previously unselected package libxrandr2:amd64.
- Preparing to unpack .../69-libxrandr2_2%3a1.5.1-1_amd64.deb ...
- Unpacking libxrandr2:amd64 (2:1.5.1-1) ...
- Selecting previously unselected package x11proto-randr-dev.
- Preparing to unpack .../70-x11proto-randr-dev_2020.1-1_all.deb ...
- Unpacking x11proto-randr-dev (2020.1-1) ...
- Selecting previously unselected package libxrender-dev:amd64.
- Preparing to unpack .../71-libxrender-dev_1%3a0.9.10-1_amd64.deb ...
- Unpacking libxrender-dev:amd64 (1:0.9.10-1) ...
- Selecting previously unselected package libxrandr-dev:amd64.
- Preparing to unpack .../72-libxrandr-dev_2%3a1.5.1-1_amd64.deb ...
- Unpacking libxrandr-dev:amd64 (2:1.5.1-1) ...
- Selecting previously unselected package mesa-vulkan-drivers:amd64.
- Preparing to unpack .../73-mesa-vulkan-drivers_20.3.5-1_amd64.deb ...
- Unpacking mesa-vulkan-drivers:amd64 (20.3.5-1) ...
- Selecting previously unselected package pkg-config.
- Preparing to unpack .../74-pkg-config_0.29.2-1_amd64.deb ...
- Unpacking pkg-config (0.29.2-1) ...
- Selecting previously unselected package shared-mime-info.
- Preparing to unpack .../75-shared-mime-info_2.0-1_amd64.deb ...
- Unpacking shared-mime-info (2.0-1) ...
- Selecting previously unselected package xdg-user-dirs.
- Preparing to unpack .../76-xdg-user-dirs_0.17-2_amd64.deb ...
- Unpacking xdg-user-dirs (0.17-2) ...
- Setting up libxcb-dri3-0:amd64 (1.14-3) ...
- Setting up libwayland-server0:amd64 (1.19.0-2) ...
- Setting up libpciaccess0:amd64 (0.16-1) ...
- Setting up libxcb-xfixes0:amd64 (1.14-3) ...
- Setting up libicu67:amd64 (67.1-7) ...
- Setting up xdg-user-dirs (0.17-2) ...
- Setting up libglib2.0-0:amd64 (2.66.8-1) ...
- No schema files found: doing nothing.
- Setting up libglvnd0:amd64 (1.3.2-1) ...
- Setting up x11proto-randr-dev (2020.1-1) ...
- Setting up libxcb-glx0:amd64 (1.14-3) ...
- Setting up libsensors-config (1:3.6.0-7) ...
- Setting up libxcb-shm0:amd64 (1.14-3) ...
- Setting up libffi-dev:amd64 (3.3-6) ...
- Setting up libopengl0:amd64 (1.3.2-1) ...
- Setting up libxcb-present0:amd64 (1.14-3) ...
- Setting up libz3-4:amd64 (4.8.10-1) ...
- Setting up libglib2.0-data (2.66.8-1) ...
- Setting up libllvm11:amd64 (1:11.0.1-2) ...
- Setting up libgles2:amd64 (1.3.2-1) ...
- Setting up libxcb-sync1:amd64 (1.14-3) ...
- Setting up libgles1:amd64 (1.3.2-1) ...
- Setting up pkg-config (0.29.2-1) ...
- Setting up libsensors5:amd64 (1:3.6.0-7) ...
- Setting up libglapi-mesa:amd64 (20.3.5-1) ...
- Setting up libvulkan1:amd64 (1.2.162.0-1) ...
- Setting up libxcb-dri2-0:amd64 (1.14-3) ...
- Setting up x11proto-xext-dev (2020.1-1) ...
- Setting up libxshmfence1:amd64 (1.3-1) ...
- Setting up libxcb-randr0:amd64 (1.14-3) ...
- Setting up libx11-6:amd64 (2:1.7.2-1) ...
- Setting up libwayland-egl1:amd64 (1.19.0-2) ...
- Setting up libopengl-dev:amd64 (1.3.2-1) ...
- Setting up libdrm-common (2.4.104-1) ...
- Setting up libelf1:amd64 (0.183-3) ...
- Setting up libxml2:amd64 (2.9.10+dfsg-6.7) ...
- Setting up libwayland-client0:amd64 (1.19.0-2) ...
- Setting up libx11-xcb1:amd64 (2:1.7.2-1) ...
- Setting up libvulkan-dev:amd64 (1.2.162.0-1) ...
- Setting up libxdamage1:amd64 (1:1.1.5-2) ...
- Setting up libxrender1:amd64 (1:0.9.10-1) ...
- Setting up libx11-dev:amd64 (2:1.7.2-1) ...
- Setting up libxxf86vm1:amd64 (1:1.1.4-1+b2) ...
- Setting up libwayland-bin (1.19.0-2) ...
- Setting up libxfixes3:amd64 (1:5.0.3-2) ...
- Setting up shared-mime-info (2.0-1) ...
- Setting up libxrandr2:amd64 (2:1.5.1-1) ...
- Setting up libxext-dev:amd64 (2:1.3.3-1.1) ...
- Setting up libdrm2:amd64 (2.4.104-1) ...
- Setting up libwayland-cursor0:amd64 (1.19.0-2) ...
- Setting up libxrender-dev:amd64 (1:0.9.10-1) ...
- Setting up libdrm-amdgpu1:amd64 (2.4.104-1) ...
- Setting up mesa-vulkan-drivers:amd64 (20.3.5-1) ...
- Setting up libdrm-nouveau2:amd64 (2.4.104-1) ...
- Setting up libgbm1:amd64 (20.3.5-1) ...
- Setting up libdrm-radeon1:amd64 (2.4.104-1) ...
- Setting up libdrm-intel1:amd64 (2.4.104-1) ...
- Setting up libgl1-mesa-dri:amd64 (20.3.5-1) ...
- Setting up libwayland-dev:amd64 (1.19.0-2) ...
- Setting up libxrandr-dev:amd64 (2:1.5.1-1) ...
- Setting up libegl-mesa0:amd64 (20.3.5-1) ...
- Setting up libegl1:amd64 (1.3.2-1) ...
- Setting up libglx-mesa0:amd64 (20.3.5-1) ...
- Setting up libglx0:amd64 (1.3.2-1) ...
- Setting up libgl1:amd64 (1.3.2-1) ...
- Setting up libglew2.1:amd64 (2.1.0-4+b1) ...
- Setting up libglx-dev:amd64 (1.3.2-1) ...
- Setting up libglu1-mesa:amd64 (9.0.1-1) ...
- Setting up libgl-dev:amd64 (1.3.2-1) ...
- Setting up libglfw3:amd64 (3.3.2-1) ...
- Setting up libglfw3-dev:amd64 (3.3.2-1) ...
- Setting up libegl-dev:amd64 (1.3.2-1) ...
- Setting up libglu1-mesa-dev:amd64 (9.0.1-1) ...
- Setting up libgles-dev:amd64 (1.3.2-1) ...
- Setting up libglvnd-dev:amd64 (1.3.2-1) ...
- Setting up libglew-dev:amd64 (2.1.0-4+b1) ...
- Setting up libgl1-mesa-dev:amd64 (20.3.5-1) ...
- Setting up libegl1-mesa-dev:amd64 (20.3.5-1) ...
- Processing triggers for libc-bin (2.31-13) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/30:
Processing  2/30:
Processing  3/30:
Processing  4/30:
Processing  5/30:
Processing  6/30:
Processing  7/30: [conf-pkg-config: pkg-config]
-> retrieved csexp.1.5.1  (cached)
Processing  8/30: [conf-pkg-config: pkg-config]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "pkg-config" "--help" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/conf-pkg-config.2)
- Usage:
-   pkg-config [OPTION?]
- 
- Help Options:
-   -h, --help                              Show help options
- 
- Application Options:
-   --version                               output version of pkg-config
-   --modversion                            output version for package
-   --atleast-pkgconfig-version=VERSION     require given version of pkg-config
-   --libs                                  output all linker flags
-   --static                                output linker flags for static linking
-   --short-errors                          print short errors
-   --libs-only-l                           output -l flags
-   --libs-only-other                       output other libs (e.g. -pthread)
-   --libs-only-L                           output -L flags
-   --cflags                                output all pre-processor and compiler flags
-   --cflags-only-I                         output -I flags
-   --cflags-only-other                     output cflags not covered by the cflags-only-I option
-   --variable=NAME                         get the value of variable named NAME
-   --define-variable=NAME=VALUE            set variable NAME to VALUE
-   --exists                                return 0 if the module(s) exist
-   --print-variables                       output list of variables defined by the module
-   --uninstalled                           return 0 if the uninstalled version of one or more module(s) or their dependencies will be used
-   --atleast-version=VERSION               return 0 if the module is at least version VERSION
-   --exact-version=VERSION                 return 0 if the module is at exactly version VERSION
-   --max-version=VERSION                   return 0 if the module is at no newer than version VERSION
-   --list-all                              list all known packages
-   --debug                                 show verbose debug information
-   --print-errors                          show verbose information about missing or conflicting packages (default unless --exists or --atleast/exact/max-version given on the command line)
-   --silence-errors                        be silent about errors (default when --exists or --atleast/exact/max-version given on the command line)
-   --errors-to-stdout                      print errors from --print-errors to stdout not stderr
-   --print-provides                        print which packages the package provides
-   --print-requires                        print which packages the package requires
-   --print-requires-private                print which packages the package requires for static linking
-   --validate                              validate a package's .pc file
-   --define-prefix                         try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --dont-define-prefix                    don't try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --prefix-variable=PREFIX                set the name of the variable that pkg-config automatically sets
- 
- Usage:
-   pkg-config [OPTION?]
- 
- Help Options:
-   -h, --help                              Show help options
- 
- Application Options:
-   --version                               output version of pkg-config
-   --modversion                            output version for package
-   --atleast-pkgconfig-version=VERSION     require given version of pkg-config
-   --libs                                  output all linker flags
-   --static                                output linker flags for static linking
-   --short-errors                          print short errors
-   --libs-only-l                           output -l flags
-   --libs-only-other                       output other libs (e.g. -pthread)
-   --libs-only-L                           output -L flags
-   --cflags                                output all pre-processor and compiler flags
-   --cflags-only-I                         output -I flags
-   --cflags-only-other                     output cflags not covered by the cflags-only-I option
-   --variable=NAME                         get the value of variable named NAME
-   --define-variable=NAME=VALUE            set variable NAME to VALUE
-   --exists                                return 0 if the module(s) exist
-   --print-variables                       output list of variables defined by the module
-   --uninstalled                           return 0 if the uninstalled version of one or more module(s) or their dependencies will be used
-   --atleast-version=VERSION               return 0 if the module is at least version VERSION
-   --exact-version=VERSION                 return 0 if the module is at exactly version VERSION
-   --max-version=VERSION                   return 0 if the module is at no newer than version VERSION
-   --list-all                              list all known packages
-   --debug                                 show verbose debug information
-   --print-errors                          show verbose information about missing or conflicting packages (default unless --exists or --atleast/exact/max-version given on the command line)
-   --silence-errors                        be silent about errors (default when --exists or --atleast/exact/max-version given on the command line)
-   --errors-to-stdout                      print errors from --print-errors to stdout not stderr
-   --print-provides                        print which packages the package provides
-   --print-requires                        print which packages the package requires
-   --print-requires-private                print which packages the package requires for static linking
-   --validate                              validate a package's .pc file
-   --define-prefix                         try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --dont-define-prefix                    don't try to override the value of prefix for each .pc file found with a guesstimated value based on the location of the .pc file
-   --prefix-variable=PREFIX                set the name of the variable that pkg-config automatically sets
- 
-> compiled  conf-pkg-config.2
Processing  8/30:
Processing  9/30: [conf-pkg-config: mkdir]
-> retrieved bimage.0.4.0  (cached)
Processing 10/30: [conf-pkg-config: mkdir]
-> retrieved bimage-display.0.4.0  (cached)
Processing 11/30: [conf-pkg-config: mkdir]
-> retrieved dune.2.9.0  (cached)
Processing 12/30: [conf-pkg-config: mkdir]
Processing 13/30: [dune: ocaml bootstrap.ml] [conf-pkg-config: mkdir]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "install" "mkdir" "-p" "/home/opam/.opam/4.12.0/lib/pkgconfig" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/conf-pkg-config.2)
-> installed conf-pkg-config.2
Processing 13/30: [dune: ocaml bootstrap.ml]
Processing 14/30: [conf-glew: pkg-config glew] [dune: ocaml bootstrap.ml]
Processing 15/30: [conf-glew: pkg-config glew] [conf-glfw3: pkg-config glfw3] [dune: ocaml bootstrap.ml]
-> retrieved dune-configurator.2.9.0  (cached)
-> retrieved glfw-ocaml.3.3  (cached)
-> retrieved result.1.5  (cached)
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "pkg-config" "--print-errors" "--exists" "glew" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/conf-glew.1)
-> compiled  conf-glew.1
Processing 15/30: [conf-glfw3: pkg-config glfw3] [dune: ocaml bootstrap.ml]
-> installed conf-glew.1
Processing 16/30: [conf-glfw3: pkg-config glfw3] [dune: ocaml bootstrap.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "pkg-config" "--print-errors" "--exists" "glfw3" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/conf-glfw3.2)
-> compiled  conf-glfw3.2
Processing 16/30: [dune: ocaml bootstrap.ml]
-> installed conf-glfw3.2
Processing 17/30: [dune: ocaml bootstrap.ml]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "ocaml" "bootstrap.ml" "-j" "71" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/dune.2.9.0)
- ocamlc -output-complete-exe -w -24 -g -o .duneboot.exe -I boot unix.cma boot/libs.ml boot/duneboot.ml
- ./.duneboot.exe -j 71
- 

Processing 17/30: [dune: ./dune.exe build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "./dune.exe" "build" "-p" "dune" "--profile" "dune-bootstrap" "-j" "71" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/dune.2.9.0)
-> compiled  dune.2.9.0
-> installed dune.2.9.0
Processing 19/30: [bimage: dune build]
Processing 20/30: [bimage: dune build] [csexp: dune build]
Processing 21/30: [bimage: dune build] [csexp: dune build] [result: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "csexp" "-j" "71" "@install" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/csexp.1.5.1)
-> compiled  csexp.1.5.1
Processing 21/30: [bimage: dune build] [result: dune build]
-> installed csexp.1.5.1
Processing 22/30: [bimage: dune build] [result: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "result" "-j" "71" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/result.1.5)
-> compiled  result.1.5
Processing 22/30: [bimage: dune build]
-> installed result.1.5
Processing 23/30: [bimage: dune build]
Processing 24/30: [bimage: dune build] [dune-configurator: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "bimage" "-j" "71" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/bimage.0.4.0)
-> compiled  bimage.0.4.0
Processing 24/30: [dune-configurator: dune build]
-> installed bimage.0.4.0
Processing 25/30: [dune-configurator: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "dune-configurator" "-j" "71" "@install" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/dune-configurator.2.9.0)
-> compiled  dune-configurator.2.9.0
-> installed dune-configurator.2.9.0
Processing 27/30: [glfw-ocaml: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "glfw-ocaml" "-j" "71" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/glfw-ocaml.3.3)
-> compiled  glfw-ocaml.3.3
-> installed glfw-ocaml.3.3
Processing 29/30: [bimage-display: dune build]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "dune" "build" "-p" "bimage-display" "-j" "71" (CWD=/home/opam/.opam/4.12.0/.opam-switch/build/bimage-display.0.4.0)
-> compiled  bimage-display.0.4.0
-> installed bimage-display.0.4.0
Done.
# Run eval $(opam env) to update the current shell environment
2021-07-30 01:03.16 ---> saved as "45d8192b16c0a4fc90d18f016dae626c4241bcb6d7a9ee086bbf423e63a4f7e9"
Job succeeded